import numpy as np


def model(X):
    """Computes the Branin-Hoo test function"""
    
    X = np.array(X, ndmin=2)
    
    # Constants
    pi = np.pi
    a = 1
    b = 5.1/np.square(2*pi)
    c = 5/pi;
    r = 6;
    s = 10;
    t = 1/(8*pi);
    
    Y = np.array(a*np.square((X[:,1] - b*np.square(X[:,0]) + c*X[:,0] - r)) + s*(1-t)*np.cos(X[:,0]) + s, ndmin=2);
    
    return Y.T